aboutsummaryrefslogtreecommitdiff
path: root/package/libgail/Config.in
blob: 3e1af628a76bb4eaef77388b9506b4ed8b4efd3a (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
config BR2_PACKAGE_LIBGAIL
	bool "libgail"
	depends on BR2_USE_WCHAR # pango -> libglib2
	depends on BR2_TOOLCHAIN_HAS_THREADS # pango -> libglib2
	depends on BR2_PACKAGE_LIBGTK2
	select BR2_PACKAGE_PANGO
	help
	  GAIL provides accessibility support for gtk+ and
	  libgnomecanvas by implementing AtkObjects for widgets in
	  gtk+ and libgnomecanvas.

	  The GAIL library is a GTK+ module. For example, if the
	  module is loaded in a program which calls
	  gtk_widget_get_accessible() for a GtkEntry an instance of
	  GailEntry is returned. This module is normally used with the
	  atk-bridge GTK+ module from at-spi to allow an assistive
	  technology, e.g a screenreader, to query or drive the
	  program.

	  http://developer.gnome.org/projects/gap

comment "libgail requires a toolchain with WCHAR and threading support"
	depends on BR2_PACKAGE_LIBGTK2 && \
		(!BR2_USE_WCHAR || !BR2_TOOLCHAIN_HAS_THREADS)